/*
 * Iversion of 2D square Tensor images, i.e a square matrix of images
 * Out is the inverse of in such that out*in qill result in a identity tensor image
 * with ones on the diagonal and zeros elsewhere.
 *
 * Internally the inversion rutine uses a LU decomposition to compute the inverse
 *
 * Author: Kees van Wijk vanwijk@ph.tn.tudelft.nl, cvanwijk@hotmail.com
 */


#ifndef _DIP_TI_INVERSE_
#define _DIP_TI_INVERSE_

DIP_ERROR dip_TensorImageInverse
(
	dip_ImageArray in,        /* Input 2D square tensor image, i.e a square matrix of images */
	dip_ImageArray out        /* Output, the inverse of in */
);

#endif

