/*
 * Filename: dipio_portability.h
 *
 * (C) Copyright 2000                    Pattern Recognition Group
 *     All rights reserved               Faculty of Applied Physics
 *                                       Delft University of Technology
 *                                       Lorentzweg 1
 *                                       2628 CJ Delft
 *                                       The Netherlands
 *
 * Contact: Dr. ir. Lucas J. van Vliet
 * email  : lucas@ph.tn.tudelft.nl
 *
 * Some portability  problems are solved in this include file
 *
 */

#ifndef DIPIO_PORTABILITY_H
#define DIPIO_PORTABILITY_H

#ifdef __cplusplus
extern "C" {
#endif


#ifdef WIN32 /* portability for Windows NT & 95 systems */

#ifdef DIPIO_DLL_CREATE
#define DIPIO_EXPORT __declspec(dllexport)
#else
#define DIPIO_EXPORT __declspec(dllimport)
#endif

#define DIPIO_DIRECTORY_SEPARATOR '\\'
#define DIPIO_EXTENSION_SEPARATOR '.'

#define strcasecmp stricmp

#else /* Non-Windows systems */

#define DIPIO_EXPORT

/* include file for chmod (needed by writegif.c) */
#include <sys/stat.h>

#define DIPIO_DIRECTORY_SEPARATOR '/'
#define DIPIO_EXTENSION_SEPARATOR '.'

#endif /* End of system-dependend defines */

#define DIPIO_ERROR DIPIO_EXPORT dip_Error

#ifdef __cplusplus
}
#endif


#endif /* DIPIO_PORTABILITY_H */
