%DOUBLE   Convert dip_image object to double matrix.
%   A = DOUBLE(B) converts the dip_image B to a double precision
%   n-dimensional matrix.

% (C) Copyright 1999-2000               Pattern Recognition Group
%     All rights reserved               Faculty of Applied Physics
%                                       Delft University of Technology
%                                       Lorentzweg 1
%                                       2628 CJ Delft
%                                       The Netherlands
%
% Cris Luengo, February 1999.
% 24 July 2000: If IN is a dip_image_array, and each image in it has only
%               one pixel, an array is returned. This allows stuff like
%               DOUBLE(A(0,0)) to return a tensor if A is a tensor image
%               (ISTENSOR returns TRUE)

function out = double(in)
if prod(builtin('size',in)) ~= 1
   if istensor(in) & prod(size(in(1).data))==1
      out = zeros(builtin('size',in));
      for ii=1:prod(size(out))
         out(ii) = in(ii).data;
      end
   else
      error('Parameter "in" is an array of images.')
   end
else
   out = double(in.data);
end
