%EYE   Identity tensor
%   EYE(A) creates a identity tensor with the specification of A.
%   Same dimensionality and sizes of images. The diagonal images
%   contain only 1's and the off-diagonal only 0's.

% (C) Copyright 1999-2000               Pattern Recognition Group
%     All rights reserved               Faculty of Applied Physics
%                                       Delft University of Technology
%                                       Lorentzweg 1
%                                       2628 CJ Delft
%                                       The Netherlands
%
% Bernd Rieger, November 2000.
% Nov 2002, change creation of null and eins image to be faster

function out = eye(a)

if ~istensor(a)
   error('Image is not a tensor image');
end
s = builtin('size',a);
if length(s)>2
   error('only implemented for 2D tensors.');
end

out = dip_image('array',size(a));
null = newim(a(1,1));
eins = null+1;

for ii=1:s(1)
   for jj=1:s(2)
      if ii==jj
         out(ii,ii) = eins;
      else
         out(ii,jj) = null;
      end
   end
end
