%IMAG   The imaginary part of pixel values.
%   IMAG(B) returns the imaginary part of each pixel in B.

% (C) Copyright 1999-2000               Pattern Recognition Group
%     All rights reserved               Faculty of Applied Physics
%                                       Delft University of Technology
%                                       Lorentzweg 1
%                                       2628 CJ Delft
%                                       The Netherlands
%
% Cris Luengo, May 2000.

function out = imag(in)
if prod(builtin('size',in)) ~= 1, error('Parameter 1 is an array of images.'); end
if strcmp(in.dip_type(2:end),'complex')
   out = dip_image(imag(in.data));
else % return empty image
   out = dip_image(di_create(size(in.data),di_mattype(in.dip_type)));
   out.dims = in.dims;
end
