%ISVECTOR   True if IN is a vector image.
%    ISVECTOR(IN) checks images in dip_image_array IN, and returns
%    true (non-zero) if they are all of the same size.
%
%    A vector image has at least two components.
%
%    See also: ISTENSOR.

% (C) Copyright 1999-2001               Pattern Recognition Group
%     All rights reserved               Faculty of Applied Physics
%                                       Delft University of Technology
%                                       Lorentzweg 1
%                                       2628 CJ Delft
%                                       The Netherlands
%
% Bernd Rieger, Cris Luengo, June 2001.
% Based on ISTENSOR.
% 15 November 2002: returning logical value in all cases.

%??? Do we need to check image data types?

function result = isvector(in)
if nargin ~= 1, error('Need an input argument.'); end
result = logical(0);
sz = builtin('size',in);
if min(sz) > 1
   return
end
N = prod(sz);
if N == 1
   return
end
s = size(in(1));
for ii=2:N
   if ~isequal(s,size(in(ii)))
      return
   end
end
result = logical(1);
