%PHASE  Phase angle.
%   PHASE(B) returns the phase angles, in radians, of a complex
%   image. This is the same as the MATLAB command ANGLE.
%
%   See also ANGLE, ABS, UNWRAP.

%   Copyright (c) 1984-98 by The MathWorks, Inc.
%   $Revision: 1.2 $  $Date: 2001/07/18 14:42:50 $

function out = phase(in)

% Clever way:
% out = imag(log(in));

% Way we'll do it:
out = atan2(imag(in), real(in));
