%LAB2GREY   Convert color image from L*a*b* to grey-value image.

% (C) Copyright 1999-2001               Pattern Recognition Group
%     All rights reserved               Faculty of Applied Physics
%                                       Delft University of Technology
%                                       Lorentzweg 1
%                                       2628 CJ Delft
%                                       The Netherlands
%
% Cris Luengo, July 2001.
% June 2002: image.color.xyz added -> is overruled by 2nd argument (Judith)

function out = lab2grey(in,xyz_set)

if prod(builtin('size',in)) < 3
   warning('Expected three components. No conversion done.')
   out = in;
end

XYZ_white = [0.9505,1,1.0888]; % D65, 2 graden waarnemer, standaard

if( isfield(in(1).color, 'xyz'))
   XYZ_white = in(1).color.xyz;
end

if( nargin > 1)
   XYZ_white = xyz_set;
end

Yn = XYZ_white(2);

L = double(in(1));

Y = zeros(size(L));

magic_number = 0.008856;

io = L>8;
I = find(io);
Y(I) = (((L(I)+16)/116).^3)*Yn;
io = ~io;
I = find(io);
Y(I) = L(I).*(Yn/903.3);

out = dip_image(Y)*255;

out.color = '';
