%LAB2XYZ   Convert color image from L*a*b* to XYZ.

% (C) Copyright 1999-2001               Pattern Recognition Group
%     All rights reserved               Faculty of Applied Physics
%                                       Delft University of Technology
%                                       Lorentzweg 1
%                                       2628 CJ Delft
%                                       The Netherlands
%
% Judith Dijk, July 2000.
% 28 June 2001: Somewhat rewritten by Cris.
% June 2002: image.color.xyz added -> is overruled by 2nd argument (Judith)

function out = lab2xyz(in, xyz_set)

if prod(builtin('size',in)) < 3
   warning('Expected three components. No conversion done.')
   out = in;
end

XYZ_white = [0.9505,1,1.0888]; % D65, 2 graden waarnemer, standaard

if( isfield(in(1).color, 'xyz'))
   XYZ_white = in(1).color.xyz;
end

if( nargin > 1)
   XYZ_white = xyz_set;
end

Xn = XYZ_white(1);
Yn = XYZ_white(2);
Zn = XYZ_white(3);

L = double(in(1));
a = double(in(2));
b = double(in(3));

X = zeros(size(L));
Y = X;
Z = X;

magic_number = 0.008856;

fY = (L+16)*(1/116);
I = find(fY<=(7.787*magic_number+(16/116)));
Y = fY.^3;
Y(I) = (1/7.787)*(fY(I)-(16/116));

a = a/500 + fY;
I = find(a<=(7.787*magic_number+(16/116)));
X = a.^3;
X(I) = (1/7.787)*(a(I)-(16/116));

b = fY - b/200;
I = find(b<=(7.787*magic_number+(16/116)));
Z = b.^3;
Z(I) = (1/7.787)*(b(I)-(16/116));

out = di_joinchannels(in(1).color,'XYZ',X*Xn,Y*Yn,Z*Zn);
