%XYZ2YXY   Convert color image from XYZ to Yxy.

% (C) Copyright 1999-2000               Pattern Recognition Group
%     All rights reserved               Faculty of Applied Physics
%                                       Delft University of Technology
%                                       Lorentzweg 1
%                                       2628 CJ Delft
%                                       The Netherlands
%
% Judith Dijk, July 2000.

function out = xyz2yxy(in)

if prod(builtin('size',in)) < 3
   warning('Expected three components. No conversion done.')
   out = in;
end

out = dip_image('array',[3,1]);
out(1) = in(2);
out(2) = dip_image('zeros',size(out(1)));
out(3) = out(2);
tmp = in(1)+in(2)+in(3);
I = find(tmp.data);
out(2).data(I) = double(in(1).data(I))./double(tmp.data(I));
out(3).data(I) = double(in(2).data(I))./double(tmp.data(I));
out = di_setcolspace(out,in(1).color,'Yxy');
