%ROT90  Rotate image 90 degrees.
%   ROT90(A) is the 90 degree counterclockwise rotation of image A.
%   ROT90(A,K) is the K*90 degree rotation of A, K = +-1,+-2,...

% (C) Copyright 1999-2000               Pattern Recognition Group
%     All rights reserved               Faculty of Applied Physics
%                                       Delft University of Technology
%                                       Lorentzweg 1
%                                       2628 CJ Delft
%                                       The Netherlands
%
% Cris Luengo, October 2000.

function b = rot90(b,k)
if prod(builtin('size',b))~=1, error('Input is an array of images.'); end
if b.dims ~= 2
   error('I can only rotate a two-dimensional image.')
end
if nargin == 1
    k = 1;
elseif ~isnumeric(k) | length(k)~=1 | fix(k)~=k
   error('k must be a scalar.');
end
b.data = rot90(b.data,k);
