%SINGLE   Convert dip_image object to single matrix.
%   A = SINGLE(B) converts the dip_image B to a single precision
%   n-dimensional matrix.

% (C) Copyright 1999-2000               Pattern Recognition Group
%     All rights reserved               Faculty of Applied Physics
%                                       Delft University of Technology
%                                       Lorentzweg 1
%                                       2628 CJ Delft
%                                       The Netherlands
%
% Cris Luengo, November 2000.

function out = single(in)
if prod(builtin('size',in)) ~= 1
   if istensor(in) & prod(size(in(1).data))==1
      out = di_create(builtin('size',in),'single');
      for ii=1:prod(size(out))
         out(ii) = in(ii).data;
      end
   else
      error('Parameter "in" is an array of images.')
   end
else
   out = single(in.data);
end
