%SIZE   Returns the size of the measurement structure.

% (C) Copyright 1999-2000               Pattern Recognition Group
%     All rights reserved               Faculty of Applied Physics
%                                       Delft University of Technology
%                                       Lorentzweg 1
%                                       2628 CJ Delft
%                                       The Netherlands
%
% Cris Luengo, November 2000.

function varargout = size(a,dim)
if nargin == 1
   dim = [1,2];
   if nargout > 2
      error('Too many output arguments.');
   end
else
   if length(dim)~=1 | any(dim<1) | any(dim>2)
      error('Illegal dimension.')
   end
   if nargout > 1
      error('Too many output arguments.');
   end
end
if any(dim==2)
   sz = 0;
   for ii=1:length(a.data)
      sz = sz+size(a.data{ii},1);
   end
   if any(dim==1)
      sz = [length(a.id),sz];
   end
else
   sz = length(a.id);
end
varargout = cell(1,nargout);
if nargout == 2
   varargout{1} = sz(1);
   varargout{2} = sz(2);
else
   varargout{1} = sz;
end
