%SUBSASGN   Overloaded operator for a.name=b.

% (C) Copyright 1999-2002               Pattern Recognition Group
%     All rights reserved               Faculty of Applied Physics
%                                       Delft University of Technology
%                                       Lorentzweg 1
%                                       2628 CJ Delft
%                                       The Netherlands
%
% Cris Luengo, November 2000.
% 5 February 2002: Measurement names are not case-sensitive any more.

function a = subsasgn(a,s,b)
if length(s)==1 & strcmp(s.type,'.')
   name = s.subs;
   if strcmpi(name,'ID')
      % Change Label IDs for the measured objects.
      % All must change at the same time:
      if ~isnumeric(b) | length(size(b))~=2 | prod(size(b))~=length(a.id) | any(mod(b,1))
         error('Invalid label ID array.')
      end
      a.id = reshape(b,1,prod(size(b)));
      return
   elseif strcmpi(name,'prefix')
      % Prefix names with b.
      if ~ischar(b) | size(b,1)~=1
         error('Invalid prefix.')
      end
      for ii=1:length(a.names)
         a.names{ii} = [b,a.names{ii}];
      end
      return
   end
end
error('DataManipulate operation not allowed!')
