%IM2ARRAY   Convert an image stack to a dip_image_array
%
% SYNOPSIS:
%  out = im2array(in)
%
% EXAMPLE:
%  a = readim
%  g = gradient(a)
%  b = array2im(g)
%  h = im2array(b)
%
% SEE ALSO:
%  array2im

% (C) Copyright 1999-2004               Pattern Recognition Group
%     All rights reserved               Faculty of Applied Physics
%                                       Delft University of Technology
%                                       Lorentzweg 1
%                                       2628 CJ Delft
%                                       The Netherlands
%
% Bernd Rieger, Jan 2004.

function out=im2array(in)

if ~isa(in,'dip_image')
   if ~isnumeric(in)
      error('Input is not an image.')
   else
      in = dip_image(in);
   end
end
sz = size(in);
if length(sz) < 2
   error('Input image does not have enough dimensions.')
end
out = newimar(sz(end));
bs = repmat(':,',1,length(sz)-1);
s = ['out{ii} = squeeze(in(' bs 'ii-1));'];
for ii=1:sz(end)
   eval(s);
end
