%MEASUREHELP   Provides help on the measurement features
%
% SYNOPSIS:
%  measurehelp
%
% This function provides help on the usage of the MEASUREMENT function.


% (C) Copyright 1999-2002               Pattern Recognition Group
%     All rights reserved               Faculty of Applied Physics
%                                       Delft University of Technology
%                                       Lorentzweg 1
%                                       2628 CJ Delft
%                                       The Netherlands
%
% Cris Luengo, February 2002.

function out = measurehelp(in)

if nargin == 1
   if ischar(in) & strcmp(in,'DIP_GetParamList')
      out = struct('menu','Analysis',...
                   'display','Help on measurement features'...
                   );
      return
   end
end

msmts = dip_getmeasurefeatures;
% Remove private element from list - This is Michael's useless creation.
I = find(strcmpi({msmts.name},'BendingEnergy'));
if length(I)==1
   msmts(I) = [];
end

disp(' ')
disp('Measurement Features to use in MEASURE:')
disp(' ')
fprintf('%20s   %s\n','Name','Description')
fprintf('%20s---%s\n','-------------','--------------------------------------------------------')
for ii=1:length(msmts)
   fprintf('%20s - %s\n',msmts(ii).name,msmts(ii).description)
end
disp(' ')
disp('Measurements marked with an * require a grey-value input image.')
disp(' ')
