%MSE   Mean square error
%
% SYNOPSIS:
%  err = mse(image_in1,image_in2)

% (C) Copyright 1999-2000               Pattern Recognition Group
%     All rights reserved               Faculty of Applied Physics
%                                       Delft University of Technology
%                                       Lorentzweg 1
%                                       2628 CJ Delft
%                                       The Netherlands
%
% Cris Luengo, May 2000.

function err = mse(varargin)

d = struct('menu','Statistics',...
           'display','Mean square error',...
           'inparams',struct('name',       {'image_in1',   'image_in2'},...
                             'description',{'Input image 1','Input image 2'},...
                             'type',       {'image',      'image'},...
                             'dim_check',  {0,            0},...
                             'range_check',{[],           []},...
                             'required',   {1,            1},...
                             'default',    {'a',          'b'}...
                              ),...
           'outparams',struct('name',{'err'},...
                              'description',{'Output value'},...
                              'type',{'array'}...
                              )...
           );
if nargin == 1
   s = varargin{1};
   if ischar(s) & strcmp(s,'DIP_GetParamList')
      err = d;
      return
   end
end
try
   [in1,in2] = getparams(d,varargin{:});
catch
   if ~isempty(paramerror)
      error(paramerror)
   else
      error(firsterr)
   end
end

err = mean((in1-in2).^2);
