%NUM_SLICES number of time files on disk
% 
% [out,stind] = num_slices(filebase, ext, z0)
% 
%  filebase: string containing the bas filename
%  ext     : extension
%  z0      : Number of format zeros
%
% DEFAUTLS:
%  ext: 'ics'
%  z0 : 3

% (C) Copyright 1999-2001               Pattern Recognition Group
%     All rights reserved               Faculty of Applied Physics
%                                       Delft University of Technology
%                                       Lorentzweg 1
%                                       2628 CJ Delft
%                                       The Netherlands
%
% Bernd Rieger, Aug 2001
% added fclose('all'), Sep 2001
% March 2004, return also starting index, does not need to be 1 (BR)

function [out,stind] = num_slices(s, ext, z0)

if nargin == 1
   ext = '.ics';
   z0 = 3;
elseif nargin == 2
   ext =[ '.' ext ];
   z0 = 3;
else
   ext =[ '.' ext ];
end
%finding the first file
sz0 = ['%0' num2str(z0) 'd'];
ii=-1;
fid = -1;
fid2 = -1;
while fid <0 & fid2 <0
   ii =ii + 1;
   tmps = sprintf(sz0,ii);
   %absolute path
   ss = [s tmps ext];
   fid = fopen(ss);
   %Preference path in dip
   ss2 = [dipgetpref('ImageFilePath') '/' ss];
   fid2 = fopen(ss2);
   if ii > 500 %probably no files around
      stind = -1;
      out =0;
      return;
   end
end
fclose('all');
stind =ii;
%add ImageFilePath to string
if fid2 > 0
   s = [dipgetpref('ImageFilePath') '/' s];
end

tmps = sprintf(sz0,stind);
ss = [s tmps ext];
ii = stind;
fid = 1;
while fid >0
   fid = fopen(ss);
   ii = ii+1;
   ss = [s sprintf(sz0,ii)  ext];
   if fid >0
      fclose(fid);
   end
end
fclose('all');
out = ii-1-stind;   
