%dip_crop   Remove the outer parts of an image.
%    out = dip_crop(in, origin, size)
%
%   in
%      Image.
%   origin
%      Integer array.
%   size
%      Integer array.

% (C) Copyright 1999-2000               Pattern Recognition Group
%     All rights reserved               Faculty of Applied Physics
%                                       Delft University of Technology
%                                       Lorentzweg 1
%                                       2628 CJ Delft
%                                       The Netherlands
%
% Cris Luengo, February-July 1999.

%   DATATYPES:
%binary, integer, float, complex
%FUNCTION
%Crop a part of the image. The requested part is selected by specifying
%its upper left corner (origin ), and its size (size ). If in has
%a different type than out, it will be converted to the type of out.
%ARGUMENTS
%
%  DIPlib      SCIL-Image     Description
%  dip_Image in      IMAGE *in      Input Image
%  dip_Image out     IMAGE *out     Output Image
%  dip_IntegerArray origin    int x,y,z      Coordinate in in of the upper left corner of the section
%  dip_IntegerArray size      int x,y,z      Size of the new image
%
%SEE ALSO
% GetSlice , GetLine
