%dip_maxima   Detects local maxima.
%    out = dip_maxima(in, se, filterParam, shape)
%
%   in
%      Image.
%   se
%      Image.
%   filterParam
%      Real array.
%   shape
%      Filter shape. String containing one of the following values:
%      'rectangular', 'elliptic', 'diamond', 'parabolic', 'user_defined'.

% (C) Copyright 1999-2000               Pattern Recognition Group
%     All rights reserved               Faculty of Applied Physics
%                                       Delft University of Technology
%                                       Lorentzweg 1
%                                       2628 CJ Delft
%                                       The Netherlands
%
% Cris Luengo,February 2000.

%   DATA TYPES:
%binary, integer, float
%FUNCTION
%This function determines whether the pixel under investigation has the maximum
%value in a local neighbourhood, which is determined by filterParam and shape.
%This is implemented with the following operation:
%
%   Output = Threshold[ in - Dilation[ in ], 0 ]
%
%The se, boundary, filterParam and shape parameters are passed to ARGUMENTS
%
% 	DIPlib	 	SCIL-Image	 	Description	
% 	dip_Image in	 	IMAGE *in	 	Input image	
% 	dip_Image out	 	IMAGE *out	 	Binary output image	
% 	dip_Image se	 	IMAGE *se	 	Structuring element	
% 	dip_BoundaryArray boundary	 	BoundaryArray boundary	 	Boundary array	
% 	dip_FloatArray filterParam	 	FloatArray filterParam	 	Filter parameters	
% 	dip_FilterShape shape	 	int shape	 	Filter shape	
%
%SEE ALSO
% Minima , Threshold , Dilation 
