%dip_sobelgradient   A linear gradient filter.
%    out = dip_sobelgradient(in, processDim)
%
%   in
%      Image.
%   processDim
%      Integer number.

% (C) Copyright 1999-2000               Pattern Recognition Group
%     All rights reserved               Faculty of Applied Physics
%                                       Delft University of Technology
%                                       Lorentzweg 1
%                                       2628 CJ Delft
%                                       The Netherlands
%
% Cris Luengo,February 2000.

%   DATATYPES:
%binary, integer, float
%FUNCTION
%The SobelGradient filter computes a finite difference gradient (-1 0 1) in the
%processDim, and performs a local (1/4 1/2 1/4) smoothing in the other dimensions.
%ARGUMENTS
%
% 	DIPlib	 	SCIL-Image	 	Description	
% 	dip_Image in	 	IMAGE *in	 	Input	
% 	dip_Image out	 	IMAGE *out	 	Output	
% 	dip_BoundaryArray boundary	 	BoundaryArray boundary	 	Boundary extension	
% 	dip_int processDim	 	int processDim	 	ProcessDim	
%
%SEE ALSO
%General information about convolution
%
% FiniteDifference , Uniform , Gauss   , SeparableConvolution , Convolve1d , Derivative 
